Subject: [PATCH] fetch: add fetch.pruneLocalBranches config

From: Harald Nordgren <[email-masked]>
Date: Tue, 12 May 2026 09:35:10 +0200

> I may be misreading the above and misunderstood you, but if you mean
> that the feature now checks with remote/origin/master when I have a
> local branch that were forked from remote/origin/todo and set to
> merge new changes from there, I do not think it is a good change.

I think you are right. My latest code assumes that everyone works toward
the default branch, which is what I do 99% of the time, but yeah, it should
be more agnostic from different workflow.

I'll take another look.

Harald